[python-virtualenv] via pip call to install non-free stuff list on pypi
2012-04-15 07:18 PM - aurelien

Status: in progress % Done: 0%
Priority: freedom issue

Assignee: aurelien

Category:

Description

It seems that python-virtual via pip call to install non-free stuff list on http://pypi.python.org
At this time the possible issue is to modify directly pip ::

install the python virtualenv

modify ~/.vir*/*/lib/pyt*/site-packages/pip*/pip/commands/install.py
you should modify the search.py to
on the line corresponding to the target website

import py_compile
py_compile.compile('install.py’)

to replace the .pyc corresponding

then copy modify the http://pypi.python.org/simple/

and the page correspondant to each software

keep the md5 (needed as explain
http://peak.telecommunity.com/DevCenter/Easylnstall#package-index-api)

works on it at this time ... hope to find a better issue

files which should be concerned

This link should be replaced by a free repository

pip/commands/install.py (pypi.python.org/simple) line 52

pip/commands/search.py (pypi.python.org/simple) line 25

pip/index.py (last.pypi.python.org) line 29
index.py also suggest line 351 and 352 to keep the name simple (maybe we can change here to free) which mean a possible
complete and correct rebranding to freedom

end of visiting /pip and /pip/commands

it seems we need a sort of repository like last.pypi.python.org + free list + modifying the source codes as above.

History

#3 - 2012-04-16 02:21 PM - aurelien

Here is a testing solution (works!)

As said on the part above modify the install.py

and use :: http:/pbot.dyndns.org:8000/simple/

at this time it have just some packages to test

The best should now a better place somewhere on the www because this server is not very fast.

then try
http://pypi.python.org
http://pypi.python.org/simple/
http://peak.telecommunity.com/DevCenter/EasyInstall#package-index-api
http://pbot.dyndns.org:8000/simple/

pip install a8

as you can see it get the code ... if you try another package which is not in the list, it will not goes to pypi.

#5 - 2015-03-03 02:57 AM - Anonymous

- Assignee set to aurelien

#6 - 2015-06-08 02:05 AM - Anonymous

- Subject changed from python-virtualenv via pip call to install non-free stuff list on pypi to [python-virtualenv] via pip call to install non-free stuff list on
pypi
